<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title><map name=""></map></title>
</head>

<body>
    <script>
        const modulos = ["m02", "m03", "m04", "m05", "m06", "m07", "m08", "FOL"]
        const alumnoNotas = [[8, 9, 4], [9, 10], [6, 8, 10], [4], [8, 4, 7], [], [7, 5, 9, 10], [10]]

        function createMap() {
            const modulosMap = new Map();
            modulos.forEach((modulo, i) => {
                modulosMap.set(modulo, alumnoNotas[i]);
            });

            modulosMap.set("m07", [7.5, 6]);

            return modulosMap;
        }

        console.log(createMap());

        let modulosClaves = new Set(modulos);

        console.log(modulosClaves);
    </script>
</body>

</html>